Skip to main content
`Ctrl`+`K`

# DMNetworkIsGhostVertex

Returns `PETSC_TRUE` if the vertex is a ghost vertex

## Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkIsGhostVertex(DM dm, PetscInt p, PetscBool *isghost)

Not Collective

## Input Parameters

- dm - the `DMNETWORK` object

- p - the vertex point

## Output Parameter

- isghost - `PETSC_TRUE` if the vertex is a ghost point

## See Also

`DM`, `DMNETWORK`, `DMNetworkGetConnectedVertices()`, `DMNetworkGetVertexRange()`, `DMNetworkIsSharedVertex()`

## Level

beginner

## Location

src/dm/impls/network/network.c

Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages